<?php
namespace WebDB87\Sample;

/**
 * @package WebDB87\Sample
 * @author USAMI Kenta
 * @copyright 2015 USAMI Kenta
 * @license https://creativecommons.org/choose/zero/ CC0-1.0
 */
final class URLTest extends \PHPUnit_Framework_TestCase
{
    /**
     * @dataProvider dataProviderFor_test
     */
    function test($url_string)
    {
        $url = URL::fromString($url_string);

        $this->assertInstanceOf('WebDB87\Sample\URL', $url);
        $this->assertEquals($url_string, $url->buildString());
    }

    function dataProviderFor_test()
    {
        return [
            ['pixiv.net/member_illust.php?mode=medium&illust_id=34681599#hoge=fuga'],
            ['http://www.pixiv.net/member_illust.php?mode=medium&illust_id=34681599'],
        ];
    }
}
